
From: Mike Miller <mike.miller@hp.com>

This patch fulfills a promise I made to Christoph sometime back.  I am
removing the partition info from the CCISS_GETLUNINFO ioctl as I was informed
my "driver had no damn business reading that structure." ;)

The application folks are to use /proc or /sys for partition info from now on.
 I am only aware of a few apps that use this ioctl and I'm not sure they ever
used the partition info.

Signed-off-by: Mike Miller <mike.miller@hp.com>
Acked-by: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/cciss.c |    7 -------
 1 files changed, 7 deletions(-)

diff -puN drivers/block/cciss.c~cciss-26-remove-partition-info-from-cciss_getluninfo drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-26-remove-partition-info-from-cciss_getluninfo	2005-06-24 00:51:08.000000000 -0700
+++ 25-akpm/drivers/block/cciss.c	2005-06-24 00:51:08.000000000 -0700
@@ -791,13 +791,6 @@ static int cciss_ioctl(struct inode *ino
  		luninfo.LunID = drv->LunID;
  		luninfo.num_opens = drv->usage_count;
  		luninfo.num_parts = 0;
- 		/* count partitions 1 to 15 with sizes > 0 */
- 		for (i = 0; i < MAX_PART - 1; i++) {
-			if (!disk->part[i])
-				continue;
-			if (disk->part[i]->nr_sects != 0)
-				luninfo.num_parts++;
-		}
  		if (copy_to_user(argp, &luninfo,
  				sizeof(LogvolInfo_struct)))
  			return -EFAULT;
_
